import { itemEntity } from './item.entity';
import { ItemService } from './item.service';
export declare class itemController {
    private readonly itemService;
    constructor(itemService: ItemService);
    findAll(): Promise<itemEntity[]>;
    create(entity: itemEntity): Promise<void>;
    update(entity: itemEntity): Promise<void>;
    delete(entity: itemEntity): Promise<void>;
    findEntitiesByRegex(name: string): Promise<itemEntity[]>;
}
