import { Controller, Get, Request, Post, UseGuards, Res, Render } from '@nestjs/common';
import { JwtAuthGuard } from './auth/auth.jwt-auth.guard';
import { LocalAuthGuard } from './auth/auth.local-auth.guard';
import { AppService } from './app.service';

@Controller({
  path: "/home"
})
export class AppController {
  constructor(private appService: AppService) {}

  @Get()
  @Render('index')
  root() {
    let date = this.appService.getDate();
    return { message: date };
  }
}