import { Controller, Get } from '@nestjs/common';
import { HelloService } from './hello.service';

@Controller({
    path: "/hello"
})
export class HelloController {
  constructor(private readonly helloService: HelloService) {}

  @Get()
  getHelloWorld(): string {
    return this.helloService.getHello();
  }
}