import { type } from 'os';
import { Entity, Column, PrimaryGeneratedColumn, Long, Double } from 'typeorm';

@Entity()
export class itemEntity {
  @PrimaryGeneratedColumn()
  id: Long;

  @Column()
  name: string;

  @Column({type: 'numeric'})
  weight: number;

  @Column({type: 'numeric'})
  price: number;
}