import { Repository } from 'typeorm';
import { itemEntity } from './item.entity';
export declare class ItemService {
    private itemRepository;
    constructor(itemRepository: Repository<itemEntity>);
    save(entityToSave: itemEntity): Promise<itemEntity>;
    findAll(): Promise<itemEntity[]>;
    delete(id: string): Promise<void>;
    findFirstByName(name: string): Promise<itemEntity>;
    findRegexByName(name: string): Promise<itemEntity[]>;
}
