import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ItemService } from './item.service';
import { itemController } from './item.controller';
import { itemEntity } from './item.entity';
import { JwtAuthGuard } from 'src/auth/auth.jwt-auth.guard';
import { APP_GUARD } from '@nestjs/core';

@Module({
  imports: [TypeOrmModule.forFeature([itemEntity])],
  providers: [ItemService,
    /*{
      provide: APP_GUARD,
      useClass: JwtAuthGuard,
    }*/
  ],
  controllers: [itemController],
})
export class itemModule {}